/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2021 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under BSD 3-Clause license,
  * the "License"; You may not use this file except in compliance with the
  * License. You may obtain a copy of the License at:
  *                        opensource.org/licenses/BSD-3-Clause
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32g4xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define LED_RT_Pin GPIO_PIN_15
#define LED_RT_GPIO_Port GPIOC
#define SYS_RESETN_Pin GPIO_PIN_10
#define SYS_RESETN_GPIO_Port GPIOG
#define LED_GN_Pin GPIO_PIN_0
#define LED_GN_GPIO_Port GPIOA
#define RS485_DE_Pin GPIO_PIN_1
#define RS485_DE_GPIO_Port GPIOA
#define BIGMEM_NCS_Pin GPIO_PIN_2
#define BIGMEM_NCS_GPIO_Port GPIOA
#define BIGMEM_CLK_Pin GPIO_PIN_3
#define BIGMEM_CLK_GPIO_Port GPIOA
#define MEM_NSS_Pin GPIO_PIN_4
#define MEM_NSS_GPIO_Port GPIOA
#define BIGMEM_NCS2_Pin GPIO_PIN_5
#define BIGMEM_NCS2_GPIO_Port GPIOA
#define BIGMEM_IO3_Pin GPIO_PIN_6
#define BIGMEM_IO3_GPIO_Port GPIOA
#define BIGMEM_IO2_Pin GPIO_PIN_7
#define BIGMEM_IO2_GPIO_Port GPIOA
#define BIGMEM_IO1_Pin GPIO_PIN_0
#define BIGMEM_IO1_GPIO_Port GPIOB
#define BIGMEM_IO0_Pin GPIO_PIN_1
#define BIGMEM_IO0_GPIO_Port GPIOB
#define CAN2_ON_Pin GPIO_PIN_14
#define CAN2_ON_GPIO_Port GPIOB
#define CAN1_ON_Pin GPIO_PIN_6
#define CAN1_ON_GPIO_Port GPIOC
#define EEPROM_SDA_Pin GPIO_PIN_8
#define EEPROM_SDA_GPIO_Port GPIOA
#define EEPROM_SCL_Pin GPIO_PIN_9
#define EEPROM_SCL_GPIO_Port GPIOA
#define RS485_TX_Pin GPIO_PIN_3
#define RS485_TX_GPIO_Port GPIOB
#define RS485_RX_Pin GPIO_PIN_4
#define RS485_RX_GPIO_Port GPIOB
/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
